### Class

# EDataBook BookBackendSExp

#### Description

    class EDataBook.BookBackendSExp : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_book_backend_sexp_new

Creates a new `EBookBackendSExp` from `text`.

#### Functions

###### e_book_backend_sexp_util_phone_compare

A utility function, which compares only numbers from the `phone_value` with `lookup_value` using `compare_kind` method.

since: 3.50

#### Instance methods

###### e_book_backend_sexp_lock

Locks the `sexp`. Other threads cannot use it until it’s unlocked with e_book_backend_sexp_unlock().

since: 3.34

###### e_book_backend_sexp_match_contact

Checks if `contact` matches `sexp`.

###### e_book_backend_sexp_match_vcard

Checks if `vcard` matches `sexp`.

###### e_book_backend_sexp_text

Retrieve the text expression for the given `EBookBackendSExp` object.

since: 3.8

###### e_book_backend_sexp_unlock

Unlocks the `sexp`, previously locked by e_book_backend_sexp_lock().

since: 3.34

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookBookBackendSExpClass {
      /* no available fields */
    }

No description available.